"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.showFixTip = void 0;
const chalk_1 = require("chalk");
const detect_1 = require("../detect");
const package_managers_1 = require("../package-managers");
function showFixTip(projectType, res, options) {
    if (package_managers_1.WIZARD_SUPPORTED_PACKAGE_MANAGERS.includes(projectType)) {
        return `Tip: Run ${chalk_1.default.bold('`snyk wizard`')} to address these issues.`;
    }
    const snykFixSupported = ['pip', 'poetry'];
    if (!snykFixSupported.includes(projectType) || !detect_1.isLocalFolder(options.path)) {
        return '';
    }
    if (!res.ok && res.vulnerabilities.length > 0) {
        return (`Tip: Try ${chalk_1.default.bold('`snyk fix`')} to address these issues.${chalk_1.default.bold('`snyk fix`')} is a new CLI command in that aims to automatically apply the recommended updates for supported ecosystems.` +
            '\nSee documentation on how to enable this beta feature: https://support.snyk.io/hc/en-us/articles/4403417279505-Automatic-remediation-with-snyk-fix');
    }
    return '';
}
exports.showFixTip = showFixTip;
//# sourceMappingURL=show-fix-tip.js.map